# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductDefinitionEffectivity Class Reference

`#include <StepBasic_ProductDefinitionEffectivity.hxx>`

Inheritance diagram for StepBasic_ProductDefinitionEffectivity:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ProductDefinitionEffectivity ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(StepBasic_ProductDefinitionRelationship)&aUsage)
Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship | Usage () const
Standard_EXPORT void | SetUsage (const Handle(StepBasic_ProductDefinitionRelationship)&aUsage)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_ProductDefinitionRelationship | theUsage

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductDefinitionEffectivity::StepBasic_ProductDefinitionEffectivity | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ProductDefinitionEffectivity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_Effectivity. Reimplemented in StepRepr_ConfigurationEffectivity.

Standard_EXPORT void StepBasic_ProductDefinitionEffectivity::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(StepBasic_ProductDefinitionRelationship)& | aUsage
| ) |

Standard_EXPORT void StepBasic_ProductDefinitionEffectivity::SetUsage | ( | const Handle(StepBasic_ProductDefinitionRelationship)& | aUsage | ) |

Standard_EXPORT Handle_StepBasic_ProductDefinitionRelationship StepBasic_ProductDefinitionEffectivity::Usage | ( |  | ) | const

## Field Documentation

Handle_StepBasic_ProductDefinitionRelationship StepBasic_ProductDefinitionEffectivity::theUsage `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductDefinitionEffectivity.hxx